//FFSubmenu=GPS
//FFName=GPS2GoogleMaps

// Skript by J. Paul (09/2006)
// oeffnet URL location mit Google Maps

// unten sind noch einige weitere URL's angegeben die man austesten kann


var url,lat,lon,alt,hemitemp,dtemp,mtemp,stemp,zoom,description,TypeOfMap;

// Beschreibung des Google links:
// &t=  (h-Hybrid, k-Satellite, leer=Standardkarte)
// &z=  (Zoom z.B. 14)

description="Foto"
zoom=14
TypeOfMap="h"

function openURL(URL)
{
	var shell = new ActiveXObject("WScript.Shell");
	shell.Run(URL,1,false);
}

if(0 == FF_GetImageWidth())
{
	FF_MessageBox("Kein Bild geladen",1);
	FF_ErrorBreak("");
}

if(!FF_HasExif())
{
	FF_MessageBox("Das Bild hat keine Exif-Daten",1);
	FF_ErrorBreak("");
}

if(FF_GetExifTag("Latitude") == "")
{
	FF_MessageBox("Das Bild hat keine GPS-Exif-Daten",1);
	FF_ErrorBreak("");
}

function convert(D,M,S)
{
	var DD;
	D < 0 ? DD = roundOff(D + (M/-60) + (S/-3600),6) : DD = roundOff(D + (M/60) + (S/3600),6);
	return DD;
}

function roundOff(num,decimalplaces)
{
	var decimalfactor = Math.pow(10,decimalplaces);
	var roundedValue = Math.round(num*decimalfactor)/decimalfactor;
	return roundedValue;
}

function toDecimal(f)
{
	var LatDegrees = parseInt(f.LatDegrees.value);
	var LatMinutes = parseInt(f.LatMinutes.value);
	var LatSeconds = parseInt(f.LatSeconds.value);
	var LonDegrees = parseInt(f.LonDegrees.value);
	var LonMinutes = parseInt(f.LonMinutes.value);
	var LonSeconds = parseInt(f.LonSeconds.value);

	var LatDecimalDegrees = convert(LatDegrees,LatMinutes,LatSeconds);
	var LonDecimalDegrees = convert(LonDegrees,LonMinutes,LonSeconds);

	!isNaN(LatDecimalDegrees) && !(LatDecimalDegrees > 90) && !(LatDecimalDegrees < -90) ? f.LatDecimalDegrees.value = LatDecimalDegrees : f.LatDecimalDegrees.value = "";
	!isNaN(LonDecimalDegrees) && !(LonDecimalDegrees > 180) && !(LonDecimalDegrees < -180) ? f.LonDecimalDegrees.value = LonDecimalDegrees : f.LonDecimalDegrees.value = "";
}



if((lat = FF_GetExifTag("Latitude")) != "")
{
	lat = FF_GetExifTag("Latitude");
	hemitemp=lat.substring(0,1);
	dtemp=eval(lat.substring(1,7));
	mtemp=eval(lat.substring(9,14));
	stemp=eval(lat.substring(16,21));
	lat=convert(dtemp,mtemp,stemp);

	if (hemitemp=="S")
	// bei sdlicher Halbkugel negativer Wert
	{
		lat=lat*(-1)
	}
	
	lon = FF_GetExifTag("Longitude");
	hemitemp=lon.substring(0,1);
	dtemp=eval(lon.substring(1,7));
	mtemp=eval(lon.substring(9,14));
	stemp=eval(lon.substring(16,21));
	lon=convert(dtemp,mtemp,stemp);

	if (hemitemp=="W")
	// bei westlichem Breitengrad negativer Wert
	{
		lon=lon*(-1)
	}

	alt = FF_GetExifTag("Altitude");
	if (alt =="")
	{
	alt="unbekannt"
	}

	imagename=FF_GetImageName(-1);
	
	// URL zusammenstellen
	
	//Google Maps
	url="http://maps.google.com/maps?q="+lat+"+"+lon+"+("+description+")&spn=0.020,0.020&t="+TypeOfMap+"+&z="+zoom;
    //url="http://toolserver.org/~geohack/geohack.php?language=de&params="+lat+"+"+lon;
	//Multimap
	// fr Multimap die nchsten Zeilen entkommentieren
	//zoom=1000
	//url="http://www.multimap.com/map/browse.cgi?&scale="+zoom+"&gride="+lon+"&gridn="+lat+"&lat="+lat+"&lon="+lon+"&width=600&height=600"

	//Yellow Map
	// fr Yellow Map die nchsten Zeilen entkommentieren
	//zoom=11
	//url="http://www.goyellow.de/map?lat="+lat+"&lon="+lon+"&z="+zoom+"&mt=1";

	//Mapquest
	// fr Mapquest die nchsten Zeilen entkommentieren
	//zoom=8
	//url="http://www.mapquest.com/maps/map.adp?latlongtype=decimal&latitude="+lat+"&longitude="+lon+"&zoom="+zoom;

	}

openURL(url)